//
//  ConverterController.h
//  Test
//
//  Created by Laurent on 23/12/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
//#import "Converter.h"

@interface ConverterController : NSWindowController {

	//	Objets GUI
	IBOutlet NSTextField *nsChassisRatio;					//	rapport de transmission du chassis
	IBOutlet NSTextField *nsSpeedMoteur;					//	Rotation moteur Tr/min
	IBOutlet NSTextField *nsDiameterTire;					//	diamètres des pneus en mm
	
	IBOutlet NSTextField *nsSpurSize;						//	nombre de dents de la couronne
	IBOutlet NSTextField *nsPignonSize;						//	nombre de dents du pignon moteur
	
	//	Objets pour la couronne et le pignon
	IBOutlet NSTextField *nsResultRatio;					//	nombre de dents de la couronne
	IBOutlet NSTextField *nsResultSpeed;					//	nombre de dents du pignon moteur
	
	IBOutlet NSSlider *nsSpurSlider;
	IBOutlet NSSlider *nsPignonSlider;
	
	//	Objets pour le popup button de sélection des models
	IBOutlet NSPopUpButton *nsPopupModel;	
	IBOutlet NSArrayController *arrayController;
	
	IBOutlet NSImageView	*ivImageCar;
}

//	Méthodes implémentation

- (void)InitGUI;

- (void)Calculer;

- (void)SetPopupModels;

- (void)DisplayValues:(float) aChassisRatio:(float) aSpeedMoteur:(float) aDiameterTire:(int) aSpurSize:(int) aPignonSize;

- (void)GetAllValues:(float *) aChassisRatio:(float *) aSpeedMoteur:(float *) aDiameterTire:(int *) aSpurSize:(int *) aPignonSize;

- (void)DisplayResults:(float) aResRatio:(float) aResSpeed;

-(void) DisplayImageCar:(NSString *)iamgeName;

//	Méthodes GUI

//- (IBAction)btnCalculer:(id)sender;

- (IBAction)ddModelSelectedItem:(id)sender;

- (IBAction)tbSpurSelection:(id)sender;

- (IBAction)tbPignonlection:(id)sender;

- (void)controlTextDidChange:(NSNotification *)notification;

@end
